:root {
	--header-image: url('../img/header-image.png');
	--body-bg-image: url('../img/seamless_black_camo_source.jpg');
	--box-bg-image: url('../img/green_burnished_metal.jpg');

	--text-dark-green: #0E261F;
	--text-light-green: #7E947E;
	--text-dark-red: #991717;
	--white: #E6B5E6;
	--black: #000000;
	--bg-dark-green: #7E947E;
}
@font-face {
	font-family: 'Packrat';
	src: url('../packrat.otf');
}
body {
	font-family: 'Packrat';
	font-size: 20px;
	background-size: 320px;
	color: var(--text-dark-green);
	background: var(--black);
	background-image: var(--body-bg-image);
	background-size: 400px;
	background-attachment:fixed;
	background-color: var(--bg-green);
	background-repeat: repeat;
	padding-top:24px;
}
main {
	display:flow;;
	flex: 1;
	order: 1;
}
aside {
	background: var(--box-bg-image);
	background-color: var(--bg-green);
	background-size:400px;
	background-attachment:fixed;
	background-repeat:repeat;
	color: var(--text-dark-green);
	order:2;
	border:3px solid black;
	margin-left:5px;
}
h1 {
	margin:5px;
	color: var(--text-dark-red);
}
h2,h3,h4,h5,h6 {
	margin:5px;
/*	text-decoration:underline;
	text-decoration-thickness:3px;*/
}
a {
	color:var(--text-dark-red);
	text-decoration:none;
	font-weight:bold;
}
a:hover {

	color:var(--text-dark-red);
	text-decoration:underline;
	font-weight:bold;
}
a:active {
	color:red;
	text-decoration:underline;
	font-weight:bold;
}
* {
	box-sizing:border-box;
}
span.evenlySpacedRow {
	display:flex;
	justify-content:space-evenly;
}
#title {
	font-size:64px;
}
#container {
	max-width: 800px;
	width: 800px;
	margin: 0 auto;
	display:flex;
}
#container a {
	color: var(--text-dark-red);;
	font-weight: bold;
	text-decoration: none;
}
#container a:hover {
        color: var(--text-dark-red);;
        font-weight: bold;
	text-decoration:underline;
}
#container a:active {
	color:red;
	font-weight:bold;
	text-decoration:underline;
}
#header {
	background-color: var(--light-green);
	background-image: var(--header-image);
	color: var(--text-dark-green);
	background-position: bottom;
	height: 220px;
	text-align:center;
	margin:0 auto;
	margin-bottom: 5px;
	padding:0px;
	max-width: 800px;
	width: 800px;
	border: 3px solid var(--black);
	position:relative;
}
#navbar {
	height: 40px;
	background-color: none;
	position:absolute;
	bottom: 5px;
	width: 100%;
}
#navbar ul {
	display: flex;
	padding: 0px;
	margin: 0px;
	list-style-type: none;
	justify-content: space-evenly;
	font-size:24px;
}
#navbar li {
	padding-top:10px;
}

#navbar li a {
	color: var(--text-light-green);
	font-weight:800;
	text-decoration:none;
}
#navbar li a:hover {
	color: var(--text-dark-red);
	text-decoration:underline;
}
#navbar li a:active {
	color:red;
	text-decoration:underline;
}
#contactInfo {
	background:var(--box-bg-image);
	background-repeat:repeat;
	border: 3px solid var(--black);
	position:fixed;
	left:5px;
	background-color: var(--bg-dark-green);
	width:200px;
	margin: 0px auto;
	padding: 5px;
	order: 3;
	display:flex;
	flex-wrap:wrap;
	justify-content:space-evenly;
	align-items:center;
}
#contactInfo a {
	color: var(--text-dark-green);
	font-weight: 800;
	text-decoration: none;
}
#contactInfo a:hover {
	color: var(--text-dark-red);
	text-decoration: underline;
}
#contactInfo a:active {
	color:red;
	text-decoration:underline;
}
#webTip {
	background-color:var(--bg-dark-green);
	background:var(--box-bg-image);
	text-align:left;
	width:200px;
	position:absolute;
	margin:0px auto;
	border:3px solid black;
	padding:5px;
	top:100px;
	display:flow;
	font-size:16px;
	align-items:center;
}
#contactIcon {
	text-align:center;
	margin:0px 2px 0px 2px;
}
#blogHeader {
	background:var(--box-bg-image);
	background-color:var(--bg-dark-green);
	color:var(--text-dark-green);
	width:400px;
	text-align:center;
	margin:0px auto;
	border:3px solid black;
	overflow:hide;
	margin-bottom:5px;
}
#blogHeaderCompact {
	background:var(--box-bg-image);
	background-color:var(--bg-dark-green);
	color:var(--text-dark-green);
	width:400px;
	text-align:center;
	margin:0px auto;
	margin-bottom:5px;
	border:3px solid black;
	overflow:hide;
	display:none;
}
#blogBody {
	background: var(--box-bg-image);
	background-color: var(--bg-dark-green);
	background-size: 200px;
	color: var(--text-dark-green);
	padding: 20px;
	border:3px solid black;
	margin-right:5px;
}
#blogDirectory {
	padding:5px;
	height:0%;
	background-attachment:scroll;
	order:2;
	position:sticky;
}
#blogDirectory a {
	color:var(--text-dark-red);
	text-decoration:none;
}
#blogDirectory a:hover{
	color:var(--text-dark-red);
	text-decoration:underline;
}
#blogDirectory a:active {
	color:red;
}
#bottomBar {
	position:fixed;
	background-color: var(--black);
	color: white;
	left: 0;
	bottom: 0;
	width:100%;
	overflow: hidden;
	height:24px;
	display:flex;
	justify-content:space-between;
	padding: 0px 10px 0px 10px;
}
#topBar {
	position:fixed;
	background-color: var(--black);
	color: white;
	width: 100%;
	overflow:hidden;
	justify-content:space-evenly;
	display:flex;
	padding:0;
	margin:0px auto;
	top:0;
	left:0;
	height:24px;
}
#cascadiaContainer {
	width:100%;
	margin-top:-20px;
}
#cascadia {
	display:flex;
	justify-content:space-evenly;
	align-items:center;
	background-color:var(--bg-dark-green);
	background:var(--box-bg-image);
	border:3px solid black;
	width:200px;
	margin:0px auto;
	text-align:center;
	padding:5px;
}
#cascadia a {
	color:var(--text-dark-green);
}
div.blog {
	display:none;
	width:100%;
	/*this weird bit here works around the topBar
	 * normal behaviour is to scroll the page
	 * where the top of the box hits the top of the window
	 * so we jam that up to the top of the page so
	 * when an anchor is clicked to reveal a div with this class
	 * it will instead scroll to the top of the page
	 * this of course can be tricky to work around */
	padding-top:1000px;
	margin-top:-1000px;
}
strong.warning {
	color:var(--text-dark-red);
}
#backToDirectoryButton {
	position:fixed;
	bottom:30px;
	right:10px;
	background:var(--box-bg-image);
	padding:6px;
	border:3px solid black;
	display:flow;
}
#backToDirectoryButton a {
	color: var(--text-dark-green);
	font-weight: 800;
	text-decoration: none;
}
#backToDirectoryButton a:hover {
	color: var(--text-dark-red);
	text-decoration: underline;
}
#backToDirectoryButton a:active {
	color:red;
	text-decoration:underline;
}
div.blog:target {
	display:flow;
}
div.spacer {
	order:1;
	display:flow;
	min-height:200px
}
@media only screen and (max-width: 1220px) {
	body {
		background-image: var(--body-bg-image);
		margin: 0px;
	}
	main {
	    order: 1;
	}
	#container {
		margin: 0 auto;
		max-width:800px;
	}
	#header {
		margin:0 auto;
		margin-bottom: 5px;
		margin-top: 8px;
		border: 3px black solid;
		max-width:800px;
	}
	#contactInfo {
		position:fixed;
		bottom:24px;
		left:0;
		width:100%;
		border:0;
		border-top:3px solid black;
		display:flex;
		justify-content:space-between;
	}
	#contactIcon {
		margin-right:5px;
	}
	#webTip {
		width:250px;
		position:static;
		align-items:flex-start;
		border:0;
		margin:0;
		display:flex;
	}
	#navbar ul {
	    flex-wrap: wrap;
	}
	#backToDirectoryButton {
		bottom:100px;
	}
	div.spacer {
		display:flow;
	}
}

@media only screen and (max-width: 800px) {
	body {
		background-attachment:scroll;
	}
	main {
		order:2;
		margin:0;
		border:0;
	}
	aside {
		height:100%;
		display:flow;
		flex-wrap:wrap;
	}
	div.spacer {
		order:3;
		min-height:200px;
		display:flow;
		width:100%;
	}
	#blogHeaderCompact {
		display:flow;
	}
	#blogHeader {
		display:none;
	}
	#blogDirectory {
		order:1;
		width:100%;
		margin:0;
		margin-bottom:5px;
		border:0;
		border-top:3px solid black;
		border-bottom:3px solid black;
	}
	#container {
		margin:0;
		border:0;
		width:100%;
		display:flex;
		flex-wrap:wrap;
	}
	#header {
		margin:0;
		margin-bottom: 15px;
		width:100%;
		border:0;
		border-top:3px solid black;
		border-bottom:3px solid black;
	}
	#contactInfo {
		position:fixed;
		bottom:24px;
		left:0;
		width:100%;
		border:0;
		border-top: 3px solid var(--black);
	}
}

.blink {
	animation: blink 1s steps(1, end) infinite;
}

@keyframes blink {
	0% {
		opacity: 1;
	}
	50% {
		opacity: 0;
	}
	100% {
		opacity: 1;
	}
}
